Bug 447255 - gedit cannot save an edited file
gedit cannot save an edited file
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-19 02:17 EDT by Joachim Backes
Modified: 2010-07-07 14:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 14:19:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
strace of gedit (92.25 KB, application/octet-stream)
2008-05-19 02:17 EDT, Joachim Backes
no flags Details

  None (edit)
Description Joachim Backes 2008-05-19 02:17:27 EDT
Description of problem:
Opening a file with gedit, editing the file and trying to save by ^S.
But then getting an error message:
Could not create a temporary backup file while saving <my file>

gedit could not backup the old copy of the file before saving the new one. You
can ignore this warning and save the file anyway, but if an error occurs while
saving, you could lose the old copy of the file. Save anyway?
By clicking "Save Anyway" I can temporarily rid from the problem. 

The problem persitsts since F8.

My gedit version: gedit-2.22.0-1.fc9.i386

How reproducible:
Every time

Steps to Reproduce:
1. gedit <my file>
2. File -> Save
Actual results:

See above
Expected results:
File has been saved without error message

Additional info:

Seems to be an selinux issue. I have attached an strace (see the attached file
starting by line 500 ff.)
Comment 1 Joachim Backes 2008-05-19 02:17:27 EDT
Created attachment 305904 [details]
strace of gedit
Comment 2 Balaji G 2008-06-10 13:05:38 EDT
Changing Status to ASSIGNED
Comment 3 Joachim Backes 2008-12-13 09:18:05 EST
Now using F10, and the problem still exists (gedit-2.24.2-1.fc10.i386).
Comment 4 Joachim Backes 2008-12-13 09:32:21 EST
Weird: after copying the correspondent file to another one, I couldn't reproduce the described behaviour of gedit with the file copy.
Comment 5 Michael Burford 2009-02-11 09:18:29 EST
I can confirm the relationship between failure of Gedit to save backup copies on exit and the status of SELinux.

Gedit Version: gedit-2.24.3-3.fc10

When SELinux is disabled, the problem occurs on all newly created and existing files opened for editing using Gedit, changed and then saved.

When SELinux is enabled in "enforcing" mode the problem disappears.
Comment 6 Tim Jackson 2009-02-24 15:11:51 EST
I think this may be a duplicate of bug #244605 - certainly, they sound very similar. That said, 244605 is CLOSED UPSTREAM but there doesn't seem to be much happening upstream to actually fix it.
Comment 7 Bug Zapper 2009-06-09 20:59:38 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 8 Bug Zapper 2009-07-14 14:19:41 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Geoff King 2010-07-07 13:51:03 EDT
On Fedora 12 I just encountered this.  All it took me to trigger it was disabling SELinux and using gedit to edit text files.  I have no such problem when SELinux is enabled.  

The message is this:
"Could not create a temporary backup file while saving /home/gsking/Desktop/notes.txt"

I am given the options of Save anyway or Don't save.
Comment 10 Geoff King 2010-07-07 13:52:22 EDT
Forgot to mention that I also had to reboot after making the SELinux changes.
Comment 11 Geoff King 2010-07-07 14:51:53 EDT
I think my problem has been solved thanks to this comment on an Ubuntu forum.  

I would still consider this an open bug since this fix was not easily apparent.

Note You need to log in before you can comment on or make changes to this bug.